### Method

# Jsonrpc OutputStream write_message

since: 3.26

#### Declaration [src]

    gboolean
    jsonrpc_output_stream_write_message (
      JsonrpcOutputStream* self,
      GVariant* message,
      GCancellable* cancellable,
      GError** error
    )

#### Description [src]

Synchronously sends a message to the peer.

This operation will complete once the message has been buffered. There is no guarantee the peer received it.

Available since: 3.26

#### Parameters

`message`

  Type: `GVariant`

  A `GVariant`.

  The data is owned by the caller of the function.

`cancellable`

  Type: `GCancellable`

  A `GCancellable` or `NULL`.

  The argument can be `NULL`.
  The data is owned by the caller of the function.

`error`

  Type: `GError **`

  The return location for a recoverable error.

  The argument can be `NULL`.
  If the return location is not `NULL`, then you must initialize it to a `NULL` `GError*`.
  The argument will left initialized to `NULL` by the method if there are no errors.
  In case of error, the argument will be set to a newly allocated `GError`; the caller will take ownership of the data, and be responsible for freeing it.

#### Return value

Type: `gboolean`

No description available.